;
; more.asm
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;; more [file]
;;
;;   Prints file content one screen at a time. Press any key to continue
;;   or stop to exit.
;;
;    This file is part of the IDE64 shell utilities.
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

WILDEXP		= 0

lines		= $fd

banner		= "more 0.2 by soci/singular"

		.include "lib.asm"

		.section code
start2		ldx #<arglist
		ldy #>arglist
		jsr parseargs

		lda arglist
		ldx #<(arglist+1)
		ldy #>(arglist+1)
		jsr $ffbd
		lda #1
		ldx mydrive
		ldy #0
		jsr $ffba
		jsr $ffc0
		bcs err2
		ldx #1
		jsr $ffc6
		bcs err
		ldx #3
		jsr $ffc9
		bcs err

loop		lda #0
		sta lines
		ldx #0
-		jsr $ffcf
		ldy $90
		bne en
		ldy #1
		sty $d4
		jsr $ffd2
		asl
		cmp #26
		beq lf
		inx
		cpx #40
		blt -
lf		ldx #0
		inc lines
		lda lines
		cmp #24
		bne -
-		ldy $91
		iny
		beq -
		cpy #$80
		beq fin
		gne loop

en		cpy #$40
		bne fin
		ldy #1
		sty $d4
		jsr $ffd2
fin
		lsr $d4
		jsr $ffcc
err		lda #1
		jsr $ffc3
err2		jmp exit
		.send code
