;
; rm.asm
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;; rm [files]
;;
;;   Removes files
;;
;    This file is part of the IDE64 shell utilities.
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

WILDEXP		= 1

banner		= "rm 0.1 by soci/singular"

		.include "lib.asm"

		.section code
start2		ldx #<arglist
		ldy #>arglist
		jsr parseargs
		lda #<arglist
		sta p1
		lda #>arglist
		sta p1+1

loop		ldy #0
		lda (p1),y
		bne +
q		rts

+		ldx p1
		ldy p1+1
		pha
                jsr addstring
		pla
		inx
		bne +
		iny
+		jsr onefile
		ldx $91
		cpx #$7f
		beq q
		jmp loop

onefile		jsr $ffbd
		ldx #1
		tay
		dey
		lda #"s"
		sta s
		lda #":"
		sta s+1
-		cmp ($bb),y
		beq van
		dey
		bpl -
		inx
van		ldy #0
-		lda ($bb),y
		sta s,x
		iny
		inx
		cpy $b7
		blt -
		txa
		ldx #<s
		ldy #>s
		jsr readerr
		jmp exit
		.send code

		.section bss
s		.fill 256
		.send bss
